Bug 1307195 - perl-IPC-Cmd-0.94 is available
Summary: perl-IPC-Cmd-0.94 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-IPC-Cmd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-13 00:13 UTC by Upstream Release Monitoring
Modified: 2017-03-29 17:27 UTC (History)
4 users (show)

Fixed In Version: perl-IPC-Cmd-0.94-1.fc24
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-29 17:27:19 UTC


Attachments (Terms of Use)
[patch] Update to 0.94 (#1307195) (1.10 KB, patch)
2016-02-13 00:14 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2016-02-13 00:13:53 UTC
Latest upstream release: 0.94
Current version/release in rawhide: 0.92-347.fc24
URL: http://search.cpan.org/dist/IPC-Cmd/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 1 Upstream Release Monitoring 2016-02-13 00:14:07 UTC
Created attachment 1123692 [details]
[patch] Update to 0.94 (#1307195)

Comment 2 Upstream Release Monitoring 2016-02-13 00:21:24 UTC
Scratch build completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12959183

Comment 3 Upstream Release Monitoring 2016-02-13 15:23:06 UTC
pghmcfc's perl-IPC-Cmd-0.94-1.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=735571

Comment 4 Paul Howarth 2016-02-13 15:24:23 UTC
Build done:
http://koji.fedoraproject.org/koji/taskinfo?taskID=12967501

Comment 5 Petr Pisar 2016-02-15 07:00:59 UTC
A bug fix release suitable for all Fedoras.

Comment 6 Petr Pisar 2016-02-15 07:46:46 UTC
Any reason why to run-require IPC::Run? IPC::Cmd uses IPC::Open3 on non-Windows instead. See the BEGIN section in IPC::Cmd:

    $USE_IPC_RUN    = IS_WIN32 && !IS_WIN98;
    $USE_IPC_OPEN3  = not IS_VMS;

Comment 7 Paul Howarth 2016-02-15 09:22:13 UTC
(In reply to Petr Pisar from comment #6)
> Any reason why to run-require IPC::Run? IPC::Cmd uses IPC::Open3 on
> non-Windows instead. See the BEGIN section in IPC::Cmd:
> 
>     $USE_IPC_RUN    = IS_WIN32 && !IS_WIN98;
>     $USE_IPC_OPEN3  = not IS_VMS;

If someone sets the variable $IPC::Cmd::USE_IPC_RUN then IPC::Run is preferred, as per the documentation "HOW IT WORKS". Clearly it's not the default though, so I can see the argument for not including it, or perhaps relegating it to a "Suggests:". I don't think it's a big dependency anyway though, probably only pulling in IO::Tty as an extra dependency.

Comment 8 Petr Pisar 2016-02-15 10:19:11 UTC
The documentation states:

> If you have C<IPC::Run> installed, and the variable C<$IPC::Cmd::USE_IPC_RUN>

Therefore I'm keen to make the dependency weak. Would you use rather Recommends: or Suggests?

I want to do it this way and push the upgrade also into older Fedoras.

Comment 9 Paul Howarth 2016-02-15 10:30:51 UTC
(In reply to Petr Pisar from comment #8)
> The documentation states:
> 
> > If you have C<IPC::Run> installed, and the variable C<$IPC::Cmd::USE_IPC_RUN>
> 
> Therefore I'm keen to make the dependency weak. Would you use rather
> Recommends: or Suggests?
> 
> I want to do it this way and push the upgrade also into older Fedoras.

I think Suggests: would be fine.

Comment 10 Fedora Update System 2016-02-15 11:35:18 UTC
perl-IPC-Cmd-0.94-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7b802c1f55

Comment 11 Fedora Update System 2016-02-15 11:35:38 UTC
perl-IPC-Cmd-0.94-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8fb5a18a11

Comment 12 Fedora Update System 2016-02-17 06:27:17 UTC
perl-IPC-Cmd-0.94-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8fb5a18a11

Comment 13 Fedora Update System 2016-02-17 06:29:28 UTC
perl-IPC-Cmd-0.94-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7b802c1f55

Comment 14 Fedora Update System 2016-02-21 13:00:38 UTC
perl-IPC-Cmd-0.94-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-02-21 16:19:59 UTC
perl-IPC-Cmd-0.94-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-02-21 16:25:52 UTC
perl-IPC-Cmd-0.94-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-02-25 08:53:06 UTC
perl-IPC-Cmd-0.94-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Upstream Release Monitoring 2016-04-18 14:13:16 UTC
ppisar's perl-IPC-Cmd-0.94-3.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=755529

Comment 19 Upstream Release Monitoring 2016-05-14 12:12:34 UTC
jplesnik's perl-IPC-Cmd-0.94-4.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=762679


Note You need to log in before you can comment on or make changes to this bug.